package com.example.educheckin.config;

import org.springframework.context.annotation.Bean;
import org.springframework.context.annotation.Configuration;
import org.springframework.http.converter.HttpMessageConverter;
import org.springframework.web.servlet.HandlerInterceptor;
import org.springframework.web.servlet.config.annotation.InterceptorRegistry;
import org.springframework.web.servlet.config.annotation.WebMvcConfigurer;

import java.util.List;

@Configuration
public class InterceptorConfig implements WebMvcConfigurer
{
    @Override
    public void addInterceptors(InterceptorRegistry registry)
    {
        registry.addInterceptor(authenticationInterceptor())
                .addPathPatterns("/**")
                .excludePathPatterns("/api-docs", "/api-docs/*", "/configuration/ui", "/swagger-ui/index.html",
                                     "/swagger-resources/**", "/configuration/security", "/swagger-ui.html",
                                     "/webjars/**", "/swagger-ui/**");
    }

    @Bean
    public AuthenticationInterceptor authenticationInterceptor()
    {
        return new AuthenticationInterceptor();
    }

}