package com.example.educheckin.dataAccessObject;

import com.example.educheckin.entity.CheckInItem;

import java.sql.Timestamp;
import java.util.List;

public interface CheckDAO
{
    /**
     * Add an item to check table. ATTENTION: In the table, there is no timestamp at the same day for each user.
     * @param item the item to be added.
     * @return if the item is added, return true, false otherwise.
     */
    boolean addCheckDAO(CheckInItem item);

    /**
     * Found the item by id, and update the item. ATTENTION: In the table, there is no timestamp at the same day for each user.
     * @param item the item to be updated.
     * @param id the id of the item to be updated.
     * @return if the item is updated, return true, false otherwise.
     */
    boolean reviseCheckDAO(CheckInItem item, int id);

    /**
     * Get the id by email and time(At that day).
     * @param email the email of the user.
     * @param time the time of the check.
     * @return the id of the item, -1 if not found.
     */
    int getCheckIdDAO(String email, Timestamp time);

    /**
     * Get the item by id.
     * @param id the id of the item.
     * @return the item, null if not found.
     */
    CheckInItem getCheckDAO(int id);

    /**
     * Get user's all check items.
     * @param email the email of the user.
     * @return the itemList, null if not found.
     */
    List<CheckInItem> getCheckListDAO(String email);


}
