package com.example.educheckin.dataAccessObject;

import com.example.educheckin.entity.InviteCode;

import java.util.List;

public interface InviteCodeDAO
{
    /**
     * Add an inviteCode to database
     * @param inviteCode the inviteCode to be added
     * @return the value of added rows
     */
    boolean addInviteCode(InviteCode inviteCode);

    /**
     * Set the code used
     * @param code the code to be set
     * @return the value of updated rows
     */
    boolean setCodeUsed(String code);

    /**
     * Get the admin status of the code
     * @param code the code to be checked
     * @return true if the code is admin code, false otherwise
     */
    boolean getCodeAdmin(String code);

    /**
     * Update the inviteCode , WARNING this method only update the invite_code table
     * @param inviteCode the inviteCode to be updated
     */
    boolean updateInviteCode(InviteCode inviteCode);

    /**
     * Get the inviteCode by code
     * @param code the code to be searched
     * @return the inviteCode, null if the code is not found
     */
    InviteCode getInviteCode(String code);

    /**
     * Delete the inviteCode by code
     * @param code the code to be deleted , WARNING this method only update the invite_code table
     *             and will not delete the used code.
     * @return true if the code is deleted, false otherwise
     */
    boolean deleteInviteCode(String code);
}
