package com.example.educheckin.entity;

import io.swagger.v3.oas.annotations.media.Schema;
import lombok.Getter;
import lombok.Setter;

import java.util.List;

@Schema(description = "邀请码")
@Getter
@Setter
public class InviteCode
{
    private String code;
    private String admin;
    private String used;

    private List<String> group;

    public InviteCode()
    {
        ;
    }
    // admin is "0" or "1", used is "0" or "1"
    public InviteCode(String code, String admin, String used, String group)
    {
        this.code = code;
        this.admin = admin;
        this.used = used;
        this.group = List.of(group.split(","));
    }

    public InviteCode(String code, String admin, String used, List<String> group)
    {
        this.code = code;
        this.admin = admin;
        this.used = used;
        this.group = group;
    }

    public String GroupString()
    {
        StringBuilder ans = new StringBuilder();
        for (String elem : this.group)
        {
            ans.append(elem).append(",");
        }
        return ans.substring(0, ans.length() - 1);
    }



}
