package com.example.educheckin.entity;

import io.swagger.v3.oas.annotations.media.Schema;
import lombok.Getter;
import lombok.Setter;

import java.util.ArrayList;
import java.util.List;

@Schema(description = "用户")
@Getter
@Setter
public class User
{

    private String email;
    private String password;
    private String name;
    private String gender;
    private String phone;
    private String internship;
    private String inviteCode;
    private List<String> group;

    private String admin;

    public User()
    {
        ;
    }
    public User(String email, String password, String name, String gender, String phone, String internship,
                String inviteCode)
    {
        this.email = email;
        this.password = password;
        this.name = name;
        this.gender = gender;
        this.phone = phone;
        this.internship = internship;
        this.inviteCode = inviteCode;
        this.group = new ArrayList<>();
        this.admin = "0";
    }

    public User(String email, String password, String name, String gender, String phone, String internship,
                String inviteCode, List<String> group, String admin)
    {
        this.email = email;
        this.password = password;
        this.name = name;
        this.gender = gender;
        this.phone = phone;
        this.internship = internship;
        this.inviteCode = inviteCode;
        this.group = group;
        this.admin = admin;
    }

    public User(String email, String password, String name, String gender, String phone, String internship,
                String inviteCode, String group, String admin)
    {
        this.email = email;
        this.password = password;
        this.name = name;
        this.gender = gender;
        this.phone = phone;
        this.internship = internship;
        this.inviteCode = inviteCode;
        this.group = List.of(group.split(","));
        this.admin = admin;
    }

    public String GroupString()
    {
        StringBuilder ans = new StringBuilder();
        for (String elem : this.group)
        {
            ans.append(elem).append(",");
        }
        return ans.substring(0, ans.length() - 1);
    }


}
