package com.example.educheckin.service;

import com.example.educheckin.dataAccessObject.FileDAO;
import com.example.educheckin.dataAccessObject.FileDAOImpl;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;
import org.springframework.web.multipart.MultipartFile;

import java.io.InputStream;

@Service
public class FileServiceImpl implements FileService
{
    @Autowired private FileDAO fileDAO;
    @Override
    public int fileUpload(String email, MultipartFile selfAssessmentFormBin, MultipartFile mutualEvaluationFormBin, MultipartFile studentEvaluationForm)
    {
        if(fileDAO.checkEmail(email) == 0)
        {
            fileDAO.initFile(email);
        }
        int successCount = 0;
        try
        {
            // Extract file name and file stream from selfAssessmentFormBin
            String selfAssessmentFormName = selfAssessmentFormBin.getOriginalFilename();
            InputStream selfAssessmentFormStream = selfAssessmentFormBin.getInputStream();
            successCount += fileDAO.selfAssessmentUpload(email, selfAssessmentFormName, selfAssessmentFormStream);
        }
        catch (Exception ignored)
        {
        }
        try
        {
            // Extract file name and file stream from mutualEvaluationFormBin
            String mutualEvaluationFormName = mutualEvaluationFormBin.getOriginalFilename();
            InputStream mutualEvaluationFormStream = mutualEvaluationFormBin.getInputStream();
            successCount += fileDAO.mutualEvaluationUpload(email, mutualEvaluationFormName, mutualEvaluationFormStream);
        }
        catch (Exception ignored)
        {
        }
        try
        {
            // Extract file name and file stream from studentEvaluationForm
            String studentEvaluationFormName = studentEvaluationForm.getOriginalFilename();
            InputStream studentEvaluationFormStream = studentEvaluationForm.getInputStream();
            successCount += fileDAO.studentEvaluationUpload(email, studentEvaluationFormName, studentEvaluationFormStream);
        }
        catch (Exception ignored)
        {
        }
        return successCount;
    }

    @Override
    public InputStream getSelfAssessmentForm(String email)
    {
        return fileDAO.getSelfAssessmentForm(email);
    }

    @Override
    public InputStream getMutualEvaluationForm(String email)
    {
        return fileDAO.getMutualEvaluationForm(email);
    }

    @Override
    public InputStream getStudentEvaluationForm(String email)
    {
        return fileDAO.getStudentEvaluationForm(email);
    }

    @Override
    public String getSelfAssessmentFormName(String email)
    {
        return fileDAO.getSelfAssessmentFormName(email);
    }

    @Override
    public String getMutualEvaluationFormName(String email)
    {
        return fileDAO.getMutualEvaluationFormName(email);
    }

    @Override
    public String getStudentEvaluationFormName(String email)
    {
        return fileDAO.getStudentEvaluationFormName(email);
    }


}
