package com.example.educheckin.service;

import com.example.educheckin.dataAccessObject.InviteCodeDAOImpl;
import com.example.educheckin.entity.InviteCode;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;

import java.util.ArrayList;
import java.util.List;

import static java.lang.Math.abs;

@Service
public class InviteCodeServiceImpl implements InviteCodeService
{
    @Autowired
    private InviteCodeDAOImpl inviteCodeDaoImpl;

    @Override
    public String addInviteCode(InviteCode inviteCode)
    {
        if (getInviteCode(inviteCode.getCode()) != null)
            return "code exist";
        if (inviteCodeDaoImpl.addInviteCode(inviteCode))
            return "success";
        return "error";
    }

    @Override
    public String setCodeUsed(String code)
    {
        InviteCode inviteCode = getInviteCode(code);
        if (inviteCode == null)
            return "code not exist";
        if (inviteCode.getUsed().equals("1"))
            return "code used";
        if (inviteCodeDaoImpl.setCodeUsed(code))
            return "success";
        return "error";
    }

    @Override
    public boolean updateInviteCode(InviteCode inviteCode)
    {
        return inviteCodeDaoImpl.updateInviteCode(inviteCode);
    }

    @Override
    public InviteCode getInviteCode(String code)
    {
        return inviteCodeDaoImpl.getInviteCode(code);
    }


    @Override
    public List<String> summonInviteCode() {
        List<String> ans = new ArrayList<>();
        String TeacherCode = generatePassword(System.currentTimeMillis());
        InviteCode inviteCode = new InviteCode(TeacherCode, "1", "0", TeacherCode);
        if (addInviteCode(inviteCode).equals("success")) {
            ans.add(TeacherCode);
        }
        for (int i = 0; i < 10; i++) {
            String StudentCode = generatePassword(System.currentTimeMillis());
            inviteCode = new InviteCode(StudentCode, "0", "0", TeacherCode);
            if (addInviteCode(inviteCode).equals("success")) {
                ans.add(StudentCode);
            }
        }
        return ans;
    }

    private String generatePassword(long seed) {
        String passwordSeries = "1QAZXSW23EDCVFR45TGBNHY67UJMKI89OLP";
        String password = "";
        for (int i = 0; i < 8; i++) {
            int index = (int) (abs(seed) % 35);
            password += passwordSeries.charAt(index);
            seed = 101 * seed + 1013904223;
        }
        return password;
    }
}