package com.example.educheckin.service;

import com.example.educheckin.dataAccessObject.InviteCodeDAOImpl;
import com.example.educheckin.dataAccessObject.UserDAOImpl;
import com.example.educheckin.entity.InviteCode;
import com.example.educheckin.entity.User;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;

import java.util.ArrayList;
import java.util.List;

import static org.apache.commons.lang3.StringUtils.isNumeric;

@Service
public class UserServiceImpl implements UserService {
    @Autowired
    private UserDAOImpl userDaoImpl;
    @Autowired
    private InviteCodeDAOImpl inviteCodeDaoImpl;

    @Override
    public String register(User user) {
        List<String> emails = userDaoImpl.getAllEmails();
        InviteCode inviteCode = inviteCodeDaoImpl.getInviteCode(user.getInviteCode());
        if (emails.contains(user.getEmail()))
            return "email exist";
        else if (inviteCode == null)
            return "code not exist";
        else if (inviteCode.getUsed().equals("1"))
            return "code used";
        user.setAdmin(inviteCode.getAdmin());
        user.setGroup(inviteCode.getGroup());
        if (userDaoImpl.addUser(user)) {
            inviteCodeDaoImpl.setCodeUsed(user.getInviteCode());
            return "success";
        }
        return "error";
    }

    @Override
    public boolean login(String email, String password) {
        return userDaoImpl.checkPassword(email, password);
    }

    @Override
    public String changeInfo(String email, User user) {
        if (userDaoImpl.getUserByEmail(email) == null)
            return "email not exist";
        if (userDaoImpl.getUserByEmail(user.getEmail()) != null && !user.getEmail().equals(email))
            return "email exist";
        if (userDaoImpl.change(email, user))
            return "success";

        return "error";
    }

    @Override
    public User getUser(String email) {
        return userDaoImpl.getUserByEmail(email);
    }

    @Override
    public List<User> belongToGroup(String group) {
        return userDaoImpl.belongToGroup(group);
    }

    @Override
    public boolean advise(String advise) {
        return userDaoImpl.advise(advise);
    }

}